program Project1;

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads,
  {$ENDIF}{$ENDIF}
  Classes
  { you can add units after this };

type osoba=record
prijatelji:integer;
neprijatelji:integer;
end;
var
  ucenik: array[1..100] of osoba;
  i,j,m,n,p,d,s:integer;
  a,x,y:array [1..100]of integer;
begin
  readln (m,n);
  for i:=1 to n do readln(a[i]);
  for j:=1 to m do readln(x[j],y[j]);
  for j:= 1 to m do
  begin
   if (a[x[j]]<0)then p:=a[x[j]]*(-1) else p:=a[x[j]];
   if (a[y[j]]<0)then d:=a[y[j]]*(-1) else d:=a[y[j]];
   if (p>d) then
    begin
    if (a[x[j]]>0) then begin
      ucenik[x[j]].prijatelji:=ucenik[x[j]].prijatelji+1;
      ucenik[y[j]].prijatelji:=ucenik[y[j]].prijatelji+1;
    end;
    if (a[x[j]]<0) then
     begin
      ucenik[x[j]].neprijatelji:=ucenik[x[j]].neprijatelji+1;
      ucenik[y[j]].neprijatelji:=ucenik[y[j]].neprijatelji+1;
     end;
    end;
    for i:=1 to n do
    s:=s+a[i]*(ucenik[i].prijatelji-ucenik[i].neprijatelji);
    writeln(s);
  readln;
  end;
end.